Package twisted :: Package protocols :: Module htb |
[frames | no frames]

## Module twisted.protocols.htb

Hierarchical Token Bucket traffic shaping.

Patterned after Martin Devera's Hierarchical Token Bucket traffic shaper for the Linux kernel.

Author: Kevin Turner

See Also:
  HTB Linux queuing discipline manual - user guide, Token Bucket Filter in Linux Advanced Routing & Traffic Control HOWTO

Classes
`Bucket` | Token bucket, or something like it.
`FilterByHost` | A bucket filter with a bucket for each host.
`FilterByServer` | A bucket filter with a bucket for each service.
`HierarchicalBucketFilter` | I filter things into buckets, and I am nestable.
`IBucketFilter` |
`ShapedConsumer` | I wrap a Consumer and shape the rate at which it receives data.
`ShapedProtocolFactory` | I dispense Protocols with traffic shaping on their transports.
`ShapedTransport` | I wrap a Transport and shape the rate at which it receives data.

Variable Summary
`str` | `__version__` = `'1.5'`

Variable Details

    ### __version__ Type: `str` Value:
        '1.5'

Generated by Epydoc 2.0 on Sat Oct 25 00:55:08 2003 | http://epydoc.sf.net